Name: nss-mysql
Version: 1.0
Release: alt3
Summary: NSS MySQL is a NSS library for MySQL.
License: GPL
URL: http://savannah.nongnu.org/projects/nss-mysql/
Group: System/Libraries
Source: %name-%version.tar.gz

# Automatically added by buildreq on Fri Dec 16 2005
BuildRequires: gcc-c++ gcc-g77 libMySQL-devel zlib-devel

%description
NSS MySQL is a NSS library for MySQL. 
It features full groups, passwd and shadow support.

%prep

%setup -q

%build

%__sed -i 's@/lib/libmysqlclient@/%_lib/libmysqlclient@g' configure
%__sed -i 's@libmysqlclient.a@libmysqlclient.so@g' configure

%configure --libdir=/%_lib

%make

%install

%make_install DESTDIR=%buildroot install

%post

%postun

%files
%config(noreplace) %_sysconfdir/nss-mysql.conf
%config(noreplace) %_sysconfdir/nss-mysql-root.conf
/%_lib/libnss_mysql.so
/%_lib/libnss_mysql.so.2
/%_lib/libnss_mysql.so.2.0.0
%doc sample.sql README UPGRADE TODO SHADOW NEWS AUTHORS

%changelog
* Thu Feb 09 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.0-alt3
- Rebuild with new libMySQL.

* Fri Dec 16 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.0-alt1
- Initial build for ALT Linux.
